Subject: bug#25929: 25.2; map-delete doesn't delete permanently 1st alist elt

From: Noam Postavsky <[email-masked]>
Date: Wed, 22 Mar 2017 08:56:18 -0400

On Wed, Mar 22, 2017 at 8:01 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> Michael Heerdegen <[email-masked]> writes:
>
>> That's a relatively small gain, and some people might prefer the
>> explicit form (2) for readability.
>
> If we don't do this, (map-delete foo 'bar) has surprising effects in
> this one corner case.
>
> That is, if foo is a hash table, then it's fine to say
> (map-delete foo 'bar).  If you change foo to be an alist, you then have
> to transform all the calls to be (setq foo (map-delete foo 'bar))
> instead,

It's also fine to say (setq foo (map-delete foo 'bar)) if foo is hash
table, right?